## org.apache.mahout.classifier.df.tools
Class Frequencies

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.classifier.df.tools.Frequencies

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public final class Frequencies

extends org.apache.hadoop.conf.Configured
implements org.apache.hadoop.util.Tool

Compute the frequency distribution of the "class label"
This class can be used when the criterion variable is the categorical attribute.

Method Summary
`static void` `main(String[] args)`
`int` `run(String[] args)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Method Detail

### run

    public int run(String[] args)
            throws IOException,
                   ClassNotFoundException,
                   InterruptedException

  Specified by:
    `run` in interface `org.apache.hadoop.util.Tool`
  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.